import { FakeAuthRepository } from '@app/testing/domain/authentification/fake-auth.repository';
import { SendVerificationEmailUsecase } from '@app/application/authentification/send-verification-email.usecase';
import { firstValueFrom } from 'rxjs';

describe('SendVerificationEmailUsecase', () => {
  it('devrait effectuer une verification de mail ', async () => {
    const repo = new FakeAuthRepository();
    const useCase = new SendVerificationEmailUsecase(repo);
    const email = 'foo@bar.com';

    const response = await firstValueFrom(useCase.execute(email));
    expect(response).toBeTruthy();
  });
});
